Whamcloud - gitweb
LU-8299 llite: ll_fault should fail for insane file offsets
[fs/lustre-release.git] / autogen.sh
index 6edec5b..f8b7741 100644 (file)
@@ -2,54 +2,14 @@
 
 # NOTE: Please avoid bashisms (bash specific syntax) in this script
 
 
 # NOTE: Please avoid bashisms (bash specific syntax) in this script
 
-# die a horrible death.  All output goes to stderr.
-#
-die()
-{
-       echo "bootstrap failure:  $*"
-       echo Aborting
-       exit 1
-} 1>&2
-
-run_cmd()
-{
-       echo -n "Running $*"
-       eval "$@" || die "command exited with code $?"
-       echo
-}
-
-echo "Checking for a complete tree..."
-REQUIRED_DIRS="libcfs lnet lustre"
-OPTIONAL_DIRS="snmp portals"
-CONFIGURE_DIRS="libsysio"
-
-for dir in $REQUIRED_DIRS ; do
-       test -d "$dir" || \
-               die "Your tree seems to be missing $dir.
-Please read README.lustrecvs for details."
-
-       ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
+set -e
+pw="$PWD"
+for dir in libcfs lnet lustre snmp ; do
+       ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $pw/$dir/autoconf"
 done
 done
-# optional directories for Lustre
-for dir in $OPTIONAL_DIRS; do
-       if [ -d "$dir" ] ; then
-               ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
-       fi
-done
-
-PWD_SAVE=$PWD
 
 
-run_cmd "aclocal -I $PWD/config $ACLOCAL_FLAGS"
-run_cmd "autoheader"
-run_cmd "automake -a -c"
-run_cmd autoconf
-
-# bootstrap in these directories
-for dir in $CONFIGURE_DIRS; do
-       if [ -d $dir ] ; then
-               cd $dir
-               echo "bootstrapping in $dir..."
-               run_cmd "sh autogen.sh"
-       fi
-       cd $PWD_SAVE
-done
+libtoolize -q
+aclocal -I $pw/config $ACLOCAL_FLAGS
+autoheader
+automake -a -c
+autoconf